Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# RArray Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
union {
long capa
VALUE shared
} aux
VALUE * ptr
} heap
VALUE ary [RARRAY_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 668 of file ruby.h.

## Field Documentation

VALUE RArray::ary[RARRAY_EMBED_LEN_MAX]

Definition at line 679 of file ruby.h.

union { ... } RArray::as

Referenced by gc_mark_children().

union { ... } ::@34 RArray::aux

struct RBasic RArray::basic

Definition at line 669 of file ruby.h.

long RArray::capa

Definition at line 674 of file ruby.h.

struct { ... } RArray::heap

Referenced by gc_mark_children().

long RArray::len

Definition at line 672 of file ruby.h.

VALUE* RArray::ptr

Definition at line 677 of file ruby.h.

VALUE RArray::shared

Definition at line 675 of file ruby.h.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h